nand_correct_data
Prev | Chapter 10. Public Functions Provided | Next

## Name

nand_correct_data — [NAND Interface] Detect and correct bit error(s)

## Synopsis

`int nand_correct_data (` | struct mtd_info * | mtd,
| u_char * | dat,
| u_char * | read_ecc,
| u_char * | calc_ecc`)`;

## Arguments

`mtd`

  MTD block structure

`dat`

  raw data read from the chip

`read_ecc`

  ECC from the chip

`calc_ecc`

  the ECC calculated from raw data

## Description

Detect and correct a 1 bit error for 256 byte block

Prev | Up | Next
nand_calculate_ecc | Home | Chapter 11. Internal Functions Provided